weipa::VisItData Class Reference

`#include <VisItData.h>`

## Public Member Functions

| VisItData ()
void | publishData (EscriptDataset_ptr ds)
void | setCommandNames (std::vector< std::string > names)
void | setSimulationStatus (bool running)
visit_handle | getDomainList ()
visit_handle | getMesh (const char *name)
visit_handle | getSimMetaData ()
visit_handle | getVariable (const char *name)

## Private Member Functions

void | addExpressionMetadata (visit_handle smd, const std::string &name, const std::string &def, int type)
void | addMeshMetadata (visit_handle smd, const std::string &name, int dim, int numDoms)
void | addVariableMetadata (visit_handle smd, const std::string &name, const std::string &meshName, int centering, int rank)

## Private Attributes

bool | runFlag
EscriptDataset_ptr | dataset
std::vector< std::string > | cmdNames
std::map< std::string, DataVar_ptr > | variables

## Constructor & Destructor Documentation

## VisItData()

weipa::VisItData::VisItData | ( |  | ) |

inline

## Member Function Documentation

## addExpressionMetadata()

void weipa::VisItData::addExpressionMetadata | ( | visit_handle | smd,
|  | const std::string & | name,
|  | const std::string & | def,
|  | int | type
| ) |  |

private

Adds an expression to the simulation metadata smd

Referenced by setSimulationStatus().

## addMeshMetadata()

void weipa::VisItData::addMeshMetadata | ( | visit_handle | smd,
|  | const std::string & | name,
|  | int | dim,
|  | int | numDoms
| ) |  |

private

Adds a mesh to the simulation metadata smd

Referenced by getSimMetaData(), and setSimulationStatus().

## addVariableMetadata()

void weipa::VisItData::addVariableMetadata | ( | visit_handle | smd,
|  | const std::string & | name,
|  | const std::string & | meshName,
|  | int | centering,
|  | int | rank
| ) |  |

private

Adds a variable to the simulation metadata smd

Referenced by getSimMetaData(), and setSimulationStatus().

## getDomainList()

visit_handle weipa::VisItData::getDomainList | ( |  | ) |

Returns the domain list

References dataset.

Referenced by setSimulationStatus().

## getMesh()

visit_handle weipa::VisItData::getMesh | ( | const char * | name | ) |

Returns mesh data for the specified mesh

References dataset, weipa::ZONETYPE_BEAM, weipa::ZONETYPE_HEX, weipa::ZONETYPE_POLYGON, weipa::ZONETYPE_QUAD, weipa::ZONETYPE_TET, and weipa::ZONETYPE_TRIANGLE.

Referenced by setSimulationStatus().

## getSimMetaData()

visit_handle weipa::VisItData::getSimMetaData | ( |  | ) |

References addMeshMetadata(), addVariableMetadata(), cmdNames, dataset, runFlag, and variables.

Referenced by setSimulationStatus().

## getVariable()

visit_handle weipa::VisItData::getVariable | ( | const char * | name | ) |

Returns variable data for the specified variable

References variables.

Referenced by setSimulationStatus().

## publishData()

void weipa::VisItData::publishData | ( | EscriptDataset_ptr | ds | ) |

inline

References dataset.

## setCommandNames()

void weipa::VisItData::setCommandNames | ( | std::vector< std::string > | names | ) |

inline

References cmdNames.

## setSimulationStatus()

void weipa::VisItData::setSimulationStatus | ( | bool | running | ) |

inline

References addExpressionMetadata(), addMeshMetadata(), addVariableMetadata(), getDomainList(), getMesh(), getSimMetaData(), getVariable(), and runFlag.

## Member Data Documentation

## cmdNames

std::vector<std::string> weipa::VisItData::cmdNames

private

Referenced by getSimMetaData(), and setCommandNames().

## dataset

EscriptDataset_ptr weipa::VisItData::dataset

private

Referenced by getDomainList(), getMesh(), getSimMetaData(), and publishData().

## runFlag

bool weipa::VisItData::runFlag

private

Referenced by getSimMetaData(), and setSimulationStatus().

## variables

std::map<std::string, DataVar_ptr> weipa::VisItData::variables

private

Referenced by getSimMetaData(), and getVariable().

The documentation for this class was generated from the following files:

- VisItData.h
- VisItData.cpp